<template>
  <div
    class="container-xxl"
  >
    <div class="d-flex flex-column mt-5">
      <div class="card shadow-sm pb-0">
        <div
          v-if="response.mostrar === 'LOADING'"
          class="d-flex justify-content-center py-20"
        >
          <div
            class="spinner-border text-primary"
            style="width: 4rem; height: 4rem; border-width: 0.35rem"
            role="status"
          >
            <span class="visually-hidden">Cargando...</span>
          </div>
        </div>

        <div
          v-else
          class="card-body pb-0 mb-0"
        >
          <div class="row">
            <div class="col-12 col-md-6 col-lg-4 col-xl-2 d-flex justify-content-center">
              <div class="symbol symbol-100px symbol-lg-160px symbol-fixed position-relative">
                <img
                  :src="usuario.urlFoto"
                  alt="image"
                >
              </div>
            </div>
            <div class="col-12 col-md-6 col-lg-8 col-xl-10">
              <div class="d-flex flex-column">
                <div class="d-flex align-items-center mb-2">
                  <label
                    class="text-gray-900 fs-2 fw-bolder me-1"
                    v-text="usuario.nombreCompleto"
                  />
                  <span
                    v-if="usuario.estado === 1"
                    class="badge badge-success"
                  >activo</span>
                </div>

                <div class="d-flex flex-wrap fw-bold fs-5 mb-4 pe-2">
                  <label class="d-flex align-items-center text-gray-600 me-5 mb-2">
                    <i class="bi bi-person-circle me-1" />
                    {{ usuario.tipo === 1 ? 'vendedor' : usuario.tipo === 2 ? 'comercializador' : 'transportista' }}
                  </label>
                  <label class="d-flex align-items-center text-gray-600 me-5 mb-2">
                    <i class="bi bi-geo-alt-fill me-1" />
                    {{ usuario.departamento }}
                  </label>
                  <label class="d-flex align-items-center text-gray-600 me-5 mb-2">
                    <i class="bi bi-envelope-fill me-1" />
                    {{ usuario.correo }}
                  </label>
                  <label class="d-flex align-items-center text-gray-600 me-5 mb-2">
                    <i class="bi bi-telephone-fill me-1" />
                    {{ usuario.telefono }}
                  </label>
                  <label class="d-flex align-items-center text-gray-600 mb-2">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="16"
                      height="16"
                      fill="currentColor"
                      class="bi bi-postcard-fill me-1"
                      viewBox="0 0 16 16"
                    >
                      <path d="M11 8h2V6h-2v2Z" />
                      <path d="M0 4a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V4Zm8.5.5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7ZM2 5.5a.5.5 0 0 0 .5.5H6a.5.5 0 0 0 0-1H2.5a.5.5 0 0 0-.5.5ZM2.5 7a.5.5 0 0 0 0 1H6a.5.5 0 0 0 0-1H2.5ZM2 9.5a.5.5 0 0 0 .5.5H6a.5.5 0 0 0 0-1H2.5a.5.5 0 0 0-.5.5Zm8-4v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 0-.5.5Z" />
                    </svg>
                    {{ usuario.carnetIdentidad }}
                  </label>
                </div>

                <div
                  v-if="usuario.tipo === 1"
                  class="d-flex flex-wrap fw-bold fs-5 mb-4 pe-2"
                >
                  <div class="symbol symbol-50px">
                    <img
                      :src="usuario.urlLogoCabana"
                      alt="logo cabaña"
                    >
                  </div>
                  <label
                    class="align-self-center text-gray-600 fs-5 ms-2"
                    v-text="usuario.nombreCabana"
                  />

                  <div
                    v-if="usuario.asociacion"
                    class="symbol symbol-50px ms-10"
                  >
                    <img
                      :src="usuario.asociacion.urlFoto"
                      alt="logo asociación"
                    >
                  </div>
                  <label
                    v-if="usuario.asociacion"
                    class="align-self-center text-gray-600 fs-5 ms-2"
                    v-text="usuario.asociacion.nombreCompleto"
                  />
                </div>
              </div>
            </div>
          </div>

          <div class="row pb-0 mb-0">
            <div class="d-flex overflow-auto h-55px">
              <ul
                class="nav nav-stretch nav-line-tabs nav-line-tabs-2x border-transparent fs-5 flex-nowrap"
                role="tablist"
              >
                <li
                  class="nav-item"
                  role="presentation"
                >
                  <a
                    id="tab_usuario_publicacion_listar"
                    class="nav-link text-active-primary me-6 active"
                    data-bs-toggle="tab"
                    data-bs-target="#usuario_publicacion_listar"
                    type="button"
                    role="tab"
                    aria-controls="usuario_publicacion_listar"
                    aria-selected="true"
                  >
                    Lista de publicaciones
                  </a>
                </li>
                <li
                  class="nav-item"
                  role="presentation"
                >
                  <a
                    id="tab_usuario_suscripcion_listar"
                    class="nav-link text-active-primary me-6"
                    data-bs-toggle="tab"
                    data-bs-target="#usuario_suscripcion_listar"
                    type="button"
                    role="tab"
                    aria-controls="usuario_suscripcion_listar"
                    aria-selected="false"
                  >
                    Historial de suscripciones
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>

      <div
        id="my_tab_content"
        class="tab-content"
      >
        <div
          id="usuario_publicacion_listar"
          class="tab-pane fade show active"
          role="tabpanel"
          aria-labelledby="tab_usuario_publicacion_listar"
        >
          <tabla-listar ref="tablaUsuarioPublicacionListar" />
        </div>
        <div
          id="usuario_suscripcion_listar"
          class="tab-pane fade"
          role="tabpanel"
          aria-labelledby="tab_usuario_suscripcion_listar"
        >
          Historial
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import TablaListar from "@/components/panel/usuario/publicacion/TablaUsuarioPublicacionListar";

import Servicio from "@/core/servicio/Servicio";
import Ruta from "@/core/servicio/Ruta";
import Toast from "@/core/util/Toast";

export default {
  name: 'UsuarioMostrar',
  components: {
    TablaListar,
  },
  data() {
    return {
      usuario: {},
      response: {mostrar: 'LOADING'}
    }
  },
  mounted() {
    this.onUsuarioMostrar();
  },
  methods: {
    onUsuarioMostrar() {
      this.response.mostrar = 'LOADING';
      Servicio.get(Ruta.rutaPanelUsuarioMostrar(this.$route.params.id)).then( (data) => {
        this.usuario = data.data;
        this.response.mostrar = data.estado;
      }).catch( (error) => {
        this.response.mostrar = 'ERROR';
        Toast.mostrarError(error);
      });
    },
  }
}
</script>